Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.tools
Interface CmsConfig

public interface CmsConfig

`CmsConfig` interface.

Configuration constants that every factory can use

Version:
  1.0
Author:
  Mathieu Rossignol

Field Summary
`static java.lang.String` | `CM_CLASS_NAME_KEY` Key string for putting the class name in the factory ObjectName
`static java.lang.String` | `CM_COMMON_DTD_PROPERTY_KEY` Property key common dtd url The property value of this property key is the path to the DTD file that specifies the XML format of the XML events the factory includes in the JMX Notification objects it fires.
`static java.lang.String` | `CM_DATA_MODEL_KEY` Key string for putting the data model class in the factory ObjectName
`static java.lang.String` | `CM_FILE_DTD_PROPERTY_KEY` Property key for file dtd url The property value of this property key is the path to the DTD file that specifies the XML format of the XML file notification events a factory emits to inform clients about the report file locations.
`static java.lang.String` | `CM_INSTANCE_KEY` Key string for putting the instance id in the factory ObjectName
`static java.lang.String` | `OS_APPLICATION_DN_PROPERTY_KEY` Property key for application dn The property value of this property key is the application domain name that identifies in a unique way the factory that emitted an event.
`static java.lang.String` | `OS_DATA_PATH_PROPERTY_KEY` Property key for data path The property value of this property key is the path where the operational status jobs will stored their file reports.
`static java.lang.String` | `OS_DEFAULT_DOMAIN_PROPERTY_KEY` Property key for default domain name The property value of this property key is default JMX domain name that will be used by the operartional status job factories at registration time into the MBeanServer if no particular domain name is specified by the client when it creates its own factory.
`static java.lang.String` | `OS_DEFAULT_MODEL_CLASS_PROPERTY_KEY` Property key for default data model class The property value of this property key is the name of the class that implements the OperationalStatusGenericModel interface and that is the default class to be used by the performance job factories if no specific data model class is provided in the object name of the factory at registration time.
`static java.lang.String` | `OS_FTP_URL_PROPERTY_KEY` Property key for ftp url The property value of this property key is the FTP prefix appended before the path to the stored reports.
`static java.lang.String` | `OS_OPSTATUS_DTD_PROPERTY_KEY` Property key for operational status dtd url The property value of this property key is the path to the DTD file that specifies the XML format of the XML reports generated by the operational status jobs.
`static java.lang.String` | `OS_REPORT_LIFETIME_PROPERTY_KEY` Property key for report lifetime The property value of this property key is the amount of hours a generated file report must stay in the system.
`static java.lang.String` | `PM_APPLICATION_DN_PROPERTY_KEY` Property key for application dn The property value of this property key is the application domain name that identifies in a unique way the factory that emitted an event.
`static java.lang.String` | `PM_DATA_PATH_PROPERTY_KEY` Property key for data path The property value of this property key is the path where the measurement jobs will stored their file reports.
`static java.lang.String` | `PM_DEFAULT_DOMAIN_PROPERTY_KEY` Property key for default domain name The property value of this property key is default JMX domain name that will be used by the performance job factories at registration time into the MBeanServer if no particular domain name is specified by the client when it creates its own factory.
`static java.lang.String` | `PM_DEFAULT_MODEL_CLASS_PROPERTY_KEY` Property key for default data model class The property value of this property key is the name of the class that implements the PerformanceGenericModel interface and that is the default class to be used by the performance job factories if no specific data model class is provided in the object name of the factory at registration time.
`static java.lang.String` | `PM_FTP_URL_PROPERTY_KEY` Property key for ftp url The property value of this property key is the FTP prefix appended before the path to the stored reports.
`static java.lang.String` | `PM_PERF_DTD_PROPERTY_KEY` Property key for perf dtd url The property value of this property key is the path to the DTD file that specifies the XML format of the XML reports generated by the measurement jobs.
`static java.lang.String` | `PM_REPORT_LIFETIME_PROPERTY_KEY` Property key for report lifetime The property value of this property key is the amount of hours a generated file report must stay in the system.

Field Detail

### CM_DATA_MODEL_KEY

    public static final java.lang.String CM_DATA_MODEL_KEY

  Key string for putting the data model class in the factory ObjectName

  See Also:
    Constant Field Values

### CM_CLASS_NAME_KEY

    public static final java.lang.String CM_CLASS_NAME_KEY

  Key string for putting the class name in the factory ObjectName

  See Also:
    Constant Field Values

### CM_INSTANCE_KEY

    public static final java.lang.String CM_INSTANCE_KEY

  Key string for putting the instance id in the factory ObjectName

  See Also:
    Constant Field Values

### CM_COMMON_DTD_PROPERTY_KEY

    public static final java.lang.String CM_COMMON_DTD_PROPERTY_KEY

  Property key common dtd url

  The property value of this property key is the path to the DTD file that specifies the XML format of the XML events the factory includes in the JMX Notification objects it fires.

  See Also:
    Constant Field Values

### CM_FILE_DTD_PROPERTY_KEY

    public static final java.lang.String CM_FILE_DTD_PROPERTY_KEY

  Property key for file dtd url

  The property value of this property key is the path to the DTD file that specifies the XML format of the XML file notification events a factory emits to inform clients about the report file locations.

  See Also:
    Constant Field Values

### PM_APPLICATION_DN_PROPERTY_KEY

    public static final java.lang.String PM_APPLICATION_DN_PROPERTY_KEY

  Property key for application dn

  The property value of this property key is the application domain name that identifies in a unique way the factory that emitted an event.

  See Also:
    Constant Field Values

### PM_PERF_DTD_PROPERTY_KEY

    public static final java.lang.String PM_PERF_DTD_PROPERTY_KEY

  Property key for perf dtd url

  The property value of this property key is the path to the DTD file that specifies the XML format of the XML reports generated by the measurement jobs.

  See Also:
    Constant Field Values

### PM_FTP_URL_PROPERTY_KEY

    public static final java.lang.String PM_FTP_URL_PROPERTY_KEY

  Property key for ftp url

  The property value of this property key is the FTP prefix appended before the path to the stored reports. Thus, it allows to create a URL where a client can retrieve the reports.

  See Also:
    Constant Field Values

### PM_DATA_PATH_PROPERTY_KEY

    public static final java.lang.String PM_DATA_PATH_PROPERTY_KEY

  Property key for data path

  The property value of this property key is the path where the measurement jobs will stored their file reports.

  See Also:
    Constant Field Values

### PM_REPORT_LIFETIME_PROPERTY_KEY

    public static final java.lang.String PM_REPORT_LIFETIME_PROPERTY_KEY

  Property key for report lifetime

  The property value of this property key is the amount of hours a generated file report must stay in the system. After this delay, a file report is automatically deleted by the measurement job factory. A value of 0 is a special value that indicates no deletion on the files is to be performed.

  See Also:
    Constant Field Values

### PM_DEFAULT_MODEL_CLASS_PROPERTY_KEY

    public static final java.lang.String PM_DEFAULT_MODEL_CLASS_PROPERTY_KEY

  Property key for default data model class

  The property value of this property key is the name of the class that implements the PerformanceGenericModel interface and that is the default class to be used by the performance job factories if no specific data model class is provided in the object name of the factory at registration time.

  See Also:
    Constant Field Values

### PM_DEFAULT_DOMAIN_PROPERTY_KEY

    public static final java.lang.String PM_DEFAULT_DOMAIN_PROPERTY_KEY

  Property key for default domain name

  The property value of this property key is default JMX domain name that will be used by the performance job factories at registration time into the MBeanServer if no particular domain name is specified by the client when it creates its own factory.

  See Also:
    Constant Field Values

### OS_APPLICATION_DN_PROPERTY_KEY

    public static final java.lang.String OS_APPLICATION_DN_PROPERTY_KEY

  Property key for application dn

  The property value of this property key is the application domain name that identifies in a unique way the factory that emitted an event.

  See Also:
    Constant Field Values

### OS_OPSTATUS_DTD_PROPERTY_KEY

    public static final java.lang.String OS_OPSTATUS_DTD_PROPERTY_KEY

  Property key for operational status dtd url

  The property value of this property key is the path to the DTD file that specifies the XML format of the XML reports generated by the operational status jobs.

  See Also:
    Constant Field Values

### OS_FTP_URL_PROPERTY_KEY

    public static final java.lang.String OS_FTP_URL_PROPERTY_KEY

  Property key for ftp url

  The property value of this property key is the FTP prefix appended before the path to the stored reports. Thus, it allows to create a URL where a client can retrieve the reports.

  See Also:
    Constant Field Values

### OS_DATA_PATH_PROPERTY_KEY

    public static final java.lang.String OS_DATA_PATH_PROPERTY_KEY

  Property key for data path

  The property value of this property key is the path where the operational status jobs will stored their file reports.

  See Also:
    Constant Field Values

### OS_REPORT_LIFETIME_PROPERTY_KEY

    public static final java.lang.String OS_REPORT_LIFETIME_PROPERTY_KEY

  Property key for report lifetime

  The property value of this property key is the amount of hours a generated file report must stay in the system. After this delay, a file report is automatically deleted by the operational status job factory. A value of 0 is a special value that indicates no deletion on the files is to be performed.

  See Also:
    Constant Field Values

### OS_DEFAULT_MODEL_CLASS_PROPERTY_KEY

    public static final java.lang.String OS_DEFAULT_MODEL_CLASS_PROPERTY_KEY

  Property key for default data model class

  The property value of this property key is the name of the class that implements the OperationalStatusGenericModel interface and that is the default class to be used by the performance job factories if no specific data model class is provided in the object name of the factory at registration time.

  See Also:
    Constant Field Values

### OS_DEFAULT_DOMAIN_PROPERTY_KEY

    public static final java.lang.String OS_DEFAULT_DOMAIN_PROPERTY_KEY

  Property key for default domain name

  The property value of this property key is default JMX domain name that will be used by the operartional status job factories at registration time into the MBeanServer if no particular domain name is specified by the client when it creates its own factory.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD